package com.app.ydl.ydl.service;

import com.app.ydl.ydl.dao.CallRecordDao;
import com.app.ydl.ydl.view.CallRecordView;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class CallRecordService {

    @Resource
    private CallRecordDao callRecordDao;

    public CallRecordView getById(Long id) {
        return callRecordDao.getById(id);
    }

    public List<CallRecordView> getByRelationId(String relationId) {
        return callRecordDao.getByRelationId(relationId);
    }

    public List<CallRecordView> getByStandardOrderId(Long orderId) {
        return callRecordDao.getByStandardOrderId(orderId);
    }

    public List<CallRecordView> getByStandardOrderServiceId(Long orderServiceId) {
        return callRecordDao.getByStandardOrderServiceId(orderServiceId);
    }

    public List<CallRecordView> getByStandardOrderAndCallRecordId(Long callRecordId) {
        return callRecordDao.getByStandardOrderAndCallRecordId(callRecordId);
    }
}